Request business data deletion
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/request-data-deletion \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/request-data-deletion"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/request-data-deletion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"type": "Business_Data_Deletion_Response"
}
}Business
Request business data deletion
Permanently deletes the business and business-owned data associated with the provided business id. This hard deletion endpoint is intended for CCPA and GDPR compliance requests. Unlike archiving a business, this operation is irreversible.
POST
/
v1
/
businesses
/
{businessId}
/
request-data-deletion
Request business data deletion
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to permanently delete.
Response
200 - application/json
Business data deletion request completed. Check the success field to determine whether the deletion succeeded.
Response returned after requesting permanent deletion of business data.
Show child attributes
Show child attributes